{% extends 'base.html' %}
{% load i18n %}
{% block content %}

<div class="container">
  <div class="card">
  <form method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <div class="card-content">
      <div class="media">
        <div class="media-left">
          <figure class="image is-64x64">
            <img class="is-rounded" src="{% if user.profile.avatar %} {{ user.profile.avatar.url }} {% endif %}">
          </figure>
        </div>
        <div class="media-content">
          <p class="title is-4">
            {{ user.profile.get_display_name }}
          </p>
          <p class="subtitle is-6">
            <time datetime="2016-04-01T19:00"> 
              {% translate "Last login: "%}{{ user.last_login}}
            </time>
          </p>
        </div>
      </div>
      <div class="content">
        <div class="file">
          <label class="file-label">
            <input class="file-input"
                 id="{{ form.avatar.id_for_label }}"
                 value="{{ form.avatar.value }}"
                 name="{{ form.avatar.html_name }}"
                 type="file" placeholder="{% translate "Avatar" %}">
            <span class="file-cta">
              <span class="file-label">
                {% translate "Upload avatar" %} 
              </span>
            </span>
            <span class="filename">
            </span>
          </label>
          {% if form.first_name.errors %}
            <ul>
              {% for error in form.first_name.errors %}
                <li><strong>{{ error|escape }}</strong></li>
              {% endfor %}
            </ul>
          {% endif %}
        </div>
        <div class="field">
          <label class="label">{% translate "First name" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.first_name.id_for_label }}" 
                   value="{{ form.first_name.value }}"
                   name="{{ form.first_name.html_name }}"
                   type="text" placeholder="{% translate "First name" %}">
            {% if form.first_name.errors %}
              <ul class="uk-list">
                {% for error in form.first_name.errors %}
                  <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
        <div class="field">
          <label class="label">{% translate "Last name" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.last_name.id_for_label }}" 
                   value="{{ form.last_name.value }}"
                   name="{{ form.last_name.html_name }}"
                   type="text" placeholder="{% translate "Last name" %}">
            {% if form.last_name.errors %}
              <ul class="uk-list">
                {% for error in form.last_name.errors %}
                  <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
        <div class="field">
          <label class="label">{% translate "Display name" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.display_name.id_for_label }}" 
                   value="{{ form.display_name.value }}"
                   name="{{ form.display_name.html_name }}"
                   type="text" placeholder="{% translate "Display name" %}">
            {% if form.display_name.errors %}
              <ul class="uk-list">
                {% for error in form.display_name.errors %}
                  <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
        <div class="field">
          <label class="label">{% translate "Email" %}</label>
          <div class="control">
            <input class="input"
                   id="{{ form.email.id_for_label }}" 
                   value="{{ form.email.value }}"
                   name="{{ form.email.html_name }}"
                   type="email" placeholder="{% translate "Email" %}">
            {% if form.email.errors %}
              <ul class="uk-list">
                {% for error in form.email.errors %}
                  <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                {% endfor %}
              </ul>
            {% endif %}
          </div>
        </div>
       </div>
    </div>
    <div class="card-footer">
      <a class="card-footer-item has-text-default"
         href="{% url 'profile' %}">
        {% translate "Cancel" %}
      </a>
      <button class="card-footer-item button is-white has-text-primary"
        type='submit'
        >
        {% translate "Update" %}
      </button>
    </div>
  </div>
  </form>
</div> 
{% endblock %}
